Bug 1948321 - Widevine 4.10.2209.1 does not work in Firefox 87
Summary: Widevine 4.10.2209.1 does not work in Firefox 87
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-11 20:22 UTC by Robert Mader
Modified: 2021-04-20 22:43 UTC (History)
11 users (show)

Fixed In Version: firefox-87.0-12.fc33 firefox-87.0-12.fc32 firefox-87.0-12.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-14 14:43:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Robert Mader 2021-04-11 20:22:55 UTC
Description of problem:

The latest version of Widevine (4.10.2209.1) for some reason has stopped working. There are multiple reports on reddit (see additional info).

It appears to only affect fedora builds, not nightly or flatpak. Reverting to older version of Widevine (by putting the .so file into the corresponding profile folder) also helps to work around the issue.

Switching between Wayland and X11 does not appear to have any effect.


Version-Release number of selected component (if applicable):
87

How reproducible:
Apparently always

Steps to Reproduce:
1. Open any side that requires Widewine

Actual results:
A big yellow bar appears, saying "Firefox in installing components...", playing the content does not work.

Expected results:
The yellow install bar should only appear once after enabling Widewine, content playback should work after a refresh/short time.

Additional info:
https://www.reddit.com/r/firefox/comments/mnn5gt/widevine_41022091_doesnt_work_on_firefox_87_fedora/
https://www.reddit.com/r/Fedora/comments/mnwk5m/firefox_widevine_broken_today_in_silverblue_34/
https://www.reddit.com/r/firefox/comments/mn6lqc/widevine_cdm_broken_since_todays_updae/

Comment 1 Robert Mader 2021-04-11 20:28:42 UTC
Upstream report: https://bugzilla.mozilla.org/show_bug.cgi?id=1704022

Comment 2 Robert Mader 2021-04-11 20:41:39 UTC
This was fixed in https://bugzilla.mozilla.org/show_bug.cgi?id=1701089, shipping in FF88 - probably worth a backport / new build.

Comment 3 Steeve McCauley 2021-04-11 20:56:56 UTC
Strangely it doesn't affect FF87 in Fedora 33.

Comment 4 Martin Stransky 2021-04-12 08:49:17 UTC
Added to firefox-87.0-12.fc34 builds at https://koji.fedoraproject.org/koji/packageinfo?packageID=37

Comment 5 Fedora Update System 2021-04-13 08:53:34 UTC
FEDORA-2021-b4c70f1156 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b4c70f1156

Comment 6 Fedora Update System 2021-04-13 08:53:38 UTC
FEDORA-2021-8a58c211ac has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8a58c211ac

Comment 7 Fedora Update System 2021-04-13 08:53:42 UTC
FEDORA-2021-b20dce00b2 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b20dce00b2

Comment 8 Fedora Update System 2021-04-13 14:19:01 UTC
FEDORA-2021-b4c70f1156 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b4c70f1156`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b4c70f1156

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-04-13 15:00:23 UTC
FEDORA-2021-8a58c211ac has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-8a58c211ac`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8a58c211ac

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-04-14 14:43:35 UTC
FEDORA-2021-8a58c211ac has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-04-14 16:31:56 UTC
FEDORA-2021-b20dce00b2 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b20dce00b2

Comment 12 Fedora Update System 2021-04-14 17:13:58 UTC
FEDORA-2021-b20dce00b2 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b20dce00b2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b20dce00b2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-04-17 14:20:50 UTC
FEDORA-2021-b4c70f1156 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-04-20 22:43:03 UTC
FEDORA-2021-b20dce00b2 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.